Index: trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2528)
@@ -10,4 +10,5 @@
    !!            8.0  ! 1997-06 (G. Madec)  complete rewriting of zdfmix
    !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
+   !!            3.3  ! 2010-10  (C. Ethe, G. Madec) reorganisation of initialisation phase
    !!----------------------------------------------------------------------
 #if defined key_zdfric   ||   defined key_esopa
@@ -28,5 +29,6 @@
    PRIVATE
 
-   PUBLIC   zdf_ric    ! called by step.F90
+   PUBLIC   zdf_ric         ! called by step.F90
+   PUBLIC   zdf_ric_init    ! called by opa.F90
 
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.   !: Richardson vertical mixing flag
@@ -42,7 +44,7 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -82,6 +84,4 @@
       !!----------------------------------------------------------------------
 
-      IF( kt == nit000  ) CALL zdf_ric_init            ! Initialization (first time-step only)
-
       !                                                ! ===============
       DO jk = 2, jpkm1                                 ! Horizontal slab
@@ -193,4 +193,6 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .FALSE.   !: Richardson mixing flag
 CONTAINS
+   SUBROUTINE zdf_ric_init         ! Dummy routine
+   END SUBROUTINE zdf_ric_init
    SUBROUTINE zdf_ric( kt )        ! Dummy routine
       WRITE(*,*) 'zdf_ric: You should not have seen this print! error?', kt
